package com.example.employee.employee.model;
// Generated Nov 27, 2019 2:47:59 PM by Hibernate Tools 4.3.5.Final

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * ListKemampuan generated by hbm2java
 */
@Entity
@Table(name = "list_kemampuan", schema = "public")
public class ListKemampuan implements java.io.Serializable {

	private int idListKemampuan;
	private Karyawan karyawan;
	private Kemampuan kemampuan;
	private Integer nilaiKemampuan;

	public ListKemampuan() {
	}

	public ListKemampuan(int idListKemampuan) {
		this.idListKemampuan = idListKemampuan;
	}

	public ListKemampuan(int idListKemampuan, Karyawan karyawan, Kemampuan kemampuan, Integer nilaiKemampuan) {
		this.idListKemampuan = idListKemampuan;
		this.karyawan = karyawan;
		this.kemampuan = kemampuan;
		this.nilaiKemampuan = nilaiKemampuan;
	}

	@Id

	@Column(name = "ID_LIST_KEMAMPUAN", unique = true, nullable = false)
	public int getIdListKemampuan() {
		return this.idListKemampuan;
	}

	public void setIdListKemampuan(int idListKemampuan) {
		this.idListKemampuan = idListKemampuan;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_KARYAWAN")
	public Karyawan getKaryawan() {
		return this.karyawan;
	}

	public void setKaryawan(Karyawan karyawan) {
		this.karyawan = karyawan;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_KEMAMPUAN")
	public Kemampuan getKemampuan() {
		return this.kemampuan;
	}

	public void setKemampuan(Kemampuan kemampuan) {
		this.kemampuan = kemampuan;
	}

	@Column(name = "NILAI_KEMAMPUAN")
	public Integer getNilaiKemampuan() {
		return this.nilaiKemampuan;
	}

	public void setNilaiKemampuan(Integer nilaiKemampuan) {
		this.nilaiKemampuan = nilaiKemampuan;
	}

}
